/[LeafOK_CVS]/lbbs/configure
ViewVC logotype

Diff of /lbbs/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.9 by sysadm, Sun Mar 13 08:21:02 2005 UTC Revision 1.10 by sysadm, Fri Mar 18 16:01:22 2005 UTC
# Line 3501  done Line 3501  done
3501    
3502    
3503    
3504  for ac_header in netinet/in.h stdlib.h string.h sys/param.h sys/socket.h unistd.h  
3505    
3506    for ac_header in fcntl.h netinet/in.h stdlib.h string.h sys/ioctl.h sys/param.h sys/socket.h unistd.h
3507  do  do
3508  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
3509  if eval "test \"\${$as_ac_Header+set}\" = set"; then  if eval "test \"\${$as_ac_Header+set}\" = set"; then
# Line 3825  _ACEOF Line 3827  _ACEOF
3827    
3828  fi  fi
3829    
3830    echo "$as_me:$LINENO: checking whether time.h and sys/time.h may both be included" >&5
3831    echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6
3832    if test "${ac_cv_header_time+set}" = set; then
3833      echo $ECHO_N "(cached) $ECHO_C" >&6
3834    else
3835      cat >conftest.$ac_ext <<_ACEOF
3836    /* confdefs.h.  */
3837    _ACEOF
3838    cat confdefs.h >>conftest.$ac_ext
3839    cat >>conftest.$ac_ext <<_ACEOF
3840    /* end confdefs.h.  */
3841    #include <sys/types.h>
3842    #include <sys/time.h>
3843    #include <time.h>
3844    
3845    int
3846    main ()
3847    {
3848    if ((struct tm *) 0)
3849    return 0;
3850      ;
3851      return 0;
3852    }
3853    _ACEOF
3854    rm -f conftest.$ac_objext
3855    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3856      (eval $ac_compile) 2>conftest.er1
3857      ac_status=$?
3858      grep -v '^ *+' conftest.er1 >conftest.err
3859      rm -f conftest.er1
3860      cat conftest.err >&5
3861      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3862      (exit $ac_status); } &&
3863             { ac_try='test -z "$ac_c_werror_flag"
3864                             || test ! -s conftest.err'
3865      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3866      (eval $ac_try) 2>&5
3867      ac_status=$?
3868      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3869      (exit $ac_status); }; } &&
3870             { ac_try='test -s conftest.$ac_objext'
3871      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3872      (eval $ac_try) 2>&5
3873      ac_status=$?
3874      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3875      (exit $ac_status); }; }; then
3876      ac_cv_header_time=yes
3877    else
3878      echo "$as_me: failed program was:" >&5
3879    sed 's/^/| /' conftest.$ac_ext >&5
3880    
3881    ac_cv_header_time=no
3882    fi
3883    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3884    fi
3885    echo "$as_me:$LINENO: result: $ac_cv_header_time" >&5
3886    echo "${ECHO_T}$ac_cv_header_time" >&6
3887    if test $ac_cv_header_time = yes; then
3888    
3889    cat >>confdefs.h <<\_ACEOF
3890    #define TIME_WITH_SYS_TIME 1
3891    _ACEOF
3892    
3893    fi
3894    
3895  echo "$as_me:$LINENO: checking whether struct tm is in sys/time.h or time.h" >&5  echo "$as_me:$LINENO: checking whether struct tm is in sys/time.h or time.h" >&5
3896  echo $ECHO_N "checking whether struct tm is in sys/time.h or time.h... $ECHO_C" >&6  echo $ECHO_N "checking whether struct tm is in sys/time.h or time.h... $ECHO_C" >&6
3897  if test "${ac_cv_struct_tm+set}" = set; then  if test "${ac_cv_struct_tm+set}" = set; then
# Line 4441  _ACEOF Line 4508  _ACEOF
4508    
4509  fi  fi
4510    
4511    if test $ac_cv_c_compiler_gnu = yes; then
4512        echo "$as_me:$LINENO: checking whether $CC needs -traditional" >&5
4513    echo $ECHO_N "checking whether $CC needs -traditional... $ECHO_C" >&6
4514    if test "${ac_cv_prog_gcc_traditional+set}" = set; then
4515      echo $ECHO_N "(cached) $ECHO_C" >&6
4516    else
4517        ac_pattern="Autoconf.*'x'"
4518      cat >conftest.$ac_ext <<_ACEOF
4519    /* confdefs.h.  */
4520    _ACEOF
4521    cat confdefs.h >>conftest.$ac_ext
4522    cat >>conftest.$ac_ext <<_ACEOF
4523    /* end confdefs.h.  */
4524    #include <sgtty.h>
4525    Autoconf TIOCGETP
4526    _ACEOF
4527    if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
4528      $EGREP "$ac_pattern" >/dev/null 2>&1; then
4529      ac_cv_prog_gcc_traditional=yes
4530    else
4531      ac_cv_prog_gcc_traditional=no
4532    fi
4533    rm -f conftest*
4534    
4535    
4536      if test $ac_cv_prog_gcc_traditional = no; then
4537        cat >conftest.$ac_ext <<_ACEOF
4538    /* confdefs.h.  */
4539    _ACEOF
4540    cat confdefs.h >>conftest.$ac_ext
4541    cat >>conftest.$ac_ext <<_ACEOF
4542    /* end confdefs.h.  */
4543    #include <termio.h>
4544    Autoconf TCGETA
4545    _ACEOF
4546    if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
4547      $EGREP "$ac_pattern" >/dev/null 2>&1; then
4548      ac_cv_prog_gcc_traditional=yes
4549    fi
4550    rm -f conftest*
4551    
4552      fi
4553    fi
4554    echo "$as_me:$LINENO: result: $ac_cv_prog_gcc_traditional" >&5
4555    echo "${ECHO_T}$ac_cv_prog_gcc_traditional" >&6
4556      if test $ac_cv_prog_gcc_traditional = yes; then
4557        CC="$CC -traditional"
4558      fi
4559    fi
4560    
4561    
4562  for ac_header in stdlib.h  for ac_header in stdlib.h
4563  do  do
# Line 4672  fi Line 4789  fi
4789    
4790    
4791    
4792    
4793    
4794    for ac_header in sys/select.h sys/socket.h
4795    do
4796    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4797    if eval "test \"\${$as_ac_Header+set}\" = set"; then
4798      echo "$as_me:$LINENO: checking for $ac_header" >&5
4799    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4800    if eval "test \"\${$as_ac_Header+set}\" = set"; then
4801      echo $ECHO_N "(cached) $ECHO_C" >&6
4802    fi
4803    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4804    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4805    else
4806      # Is the header compilable?
4807    echo "$as_me:$LINENO: checking $ac_header usability" >&5
4808    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
4809    cat >conftest.$ac_ext <<_ACEOF
4810    /* confdefs.h.  */
4811    _ACEOF
4812    cat confdefs.h >>conftest.$ac_ext
4813    cat >>conftest.$ac_ext <<_ACEOF
4814    /* end confdefs.h.  */
4815    $ac_includes_default
4816    #include <$ac_header>
4817    _ACEOF
4818    rm -f conftest.$ac_objext
4819    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4820      (eval $ac_compile) 2>conftest.er1
4821      ac_status=$?
4822      grep -v '^ *+' conftest.er1 >conftest.err
4823      rm -f conftest.er1
4824      cat conftest.err >&5
4825      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4826      (exit $ac_status); } &&
4827             { ac_try='test -z "$ac_c_werror_flag"
4828                             || test ! -s conftest.err'
4829      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4830      (eval $ac_try) 2>&5
4831      ac_status=$?
4832      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4833      (exit $ac_status); }; } &&
4834             { ac_try='test -s conftest.$ac_objext'
4835      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4836      (eval $ac_try) 2>&5
4837      ac_status=$?
4838      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4839      (exit $ac_status); }; }; then
4840      ac_header_compiler=yes
4841    else
4842      echo "$as_me: failed program was:" >&5
4843    sed 's/^/| /' conftest.$ac_ext >&5
4844    
4845    ac_header_compiler=no
4846    fi
4847    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4848    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
4849    echo "${ECHO_T}$ac_header_compiler" >&6
4850    
4851    # Is the header present?
4852    echo "$as_me:$LINENO: checking $ac_header presence" >&5
4853    echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
4854    cat >conftest.$ac_ext <<_ACEOF
4855    /* confdefs.h.  */
4856    _ACEOF
4857    cat confdefs.h >>conftest.$ac_ext
4858    cat >>conftest.$ac_ext <<_ACEOF
4859    /* end confdefs.h.  */
4860    #include <$ac_header>
4861    _ACEOF
4862    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4863      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4864      ac_status=$?
4865      grep -v '^ *+' conftest.er1 >conftest.err
4866      rm -f conftest.er1
4867      cat conftest.err >&5
4868      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4869      (exit $ac_status); } >/dev/null; then
4870      if test -s conftest.err; then
4871        ac_cpp_err=$ac_c_preproc_warn_flag
4872        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
4873      else
4874        ac_cpp_err=
4875      fi
4876    else
4877      ac_cpp_err=yes
4878    fi
4879    if test -z "$ac_cpp_err"; then
4880      ac_header_preproc=yes
4881    else
4882      echo "$as_me: failed program was:" >&5
4883    sed 's/^/| /' conftest.$ac_ext >&5
4884    
4885      ac_header_preproc=no
4886    fi
4887    rm -f conftest.err conftest.$ac_ext
4888    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
4889    echo "${ECHO_T}$ac_header_preproc" >&6
4890    
4891    # So?  What about this header?
4892    case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
4893      yes:no: )
4894        { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
4895    echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
4896        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
4897    echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
4898        ac_header_preproc=yes
4899        ;;
4900      no:yes:* )
4901        { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
4902    echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
4903        { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
4904    echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
4905        { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
4906    echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
4907        { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
4908    echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
4909        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
4910    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
4911        { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
4912    echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
4913        (
4914          cat <<\_ASBOX
4915    ## ------------------------------- ##
4916    ## Report this to the bbsd lists.  ##
4917    ## ------------------------------- ##
4918    _ASBOX
4919        ) |
4920          sed "s/^/$as_me: WARNING:     /" >&2
4921        ;;
4922    esac
4923    echo "$as_me:$LINENO: checking for $ac_header" >&5
4924    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4925    if eval "test \"\${$as_ac_Header+set}\" = set"; then
4926      echo $ECHO_N "(cached) $ECHO_C" >&6
4927    else
4928      eval "$as_ac_Header=\$ac_header_preproc"
4929    fi
4930    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4931    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4932    
4933    fi
4934    if test `eval echo '${'$as_ac_Header'}'` = yes; then
4935      cat >>confdefs.h <<_ACEOF
4936    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4937    _ACEOF
4938    
4939    fi
4940    
4941    done
4942    
4943    echo "$as_me:$LINENO: checking types of arguments for select" >&5
4944    echo $ECHO_N "checking types of arguments for select... $ECHO_C" >&6
4945    if test "${ac_cv_func_select_args+set}" = set; then
4946      echo $ECHO_N "(cached) $ECHO_C" >&6
4947    else
4948      for ac_arg234 in 'fd_set *' 'int *' 'void *'; do
4949     for ac_arg1 in 'int' 'size_t' 'unsigned long' 'unsigned'; do
4950      for ac_arg5 in 'struct timeval *' 'const struct timeval *'; do
4951       cat >conftest.$ac_ext <<_ACEOF
4952    /* confdefs.h.  */
4953    _ACEOF
4954    cat confdefs.h >>conftest.$ac_ext
4955    cat >>conftest.$ac_ext <<_ACEOF
4956    /* end confdefs.h.  */
4957    $ac_includes_default
4958    #if HAVE_SYS_SELECT_H
4959    # include <sys/select.h>
4960    #endif
4961    #if HAVE_SYS_SOCKET_H
4962    # include <sys/socket.h>
4963    #endif
4964    
4965    int
4966    main ()
4967    {
4968    extern int select ($ac_arg1,
4969                                                $ac_arg234, $ac_arg234, $ac_arg234,
4970                                                $ac_arg5);
4971      ;
4972      return 0;
4973    }
4974    _ACEOF
4975    rm -f conftest.$ac_objext
4976    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4977      (eval $ac_compile) 2>conftest.er1
4978      ac_status=$?
4979      grep -v '^ *+' conftest.er1 >conftest.err
4980      rm -f conftest.er1
4981      cat conftest.err >&5
4982      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4983      (exit $ac_status); } &&
4984             { ac_try='test -z "$ac_c_werror_flag"
4985                             || test ! -s conftest.err'
4986      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4987      (eval $ac_try) 2>&5
4988      ac_status=$?
4989      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4990      (exit $ac_status); }; } &&
4991             { ac_try='test -s conftest.$ac_objext'
4992      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4993      (eval $ac_try) 2>&5
4994      ac_status=$?
4995      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4996      (exit $ac_status); }; }; then
4997      ac_cv_func_select_args="$ac_arg1,$ac_arg234,$ac_arg5"; break 3
4998    else
4999      echo "$as_me: failed program was:" >&5
5000    sed 's/^/| /' conftest.$ac_ext >&5
5001    
5002    fi
5003    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5004      done
5005     done
5006    done
5007    # Provide a safe default value.
5008    : ${ac_cv_func_select_args='int,int *,struct timeval *'}
5009    
5010    fi
5011    echo "$as_me:$LINENO: result: $ac_cv_func_select_args" >&5
5012    echo "${ECHO_T}$ac_cv_func_select_args" >&6
5013    ac_save_IFS=$IFS; IFS=','
5014    set dummy `echo "$ac_cv_func_select_args" | sed 's/\*/\*/g'`
5015    IFS=$ac_save_IFS
5016    shift
5017    
5018    cat >>confdefs.h <<_ACEOF
5019    #define SELECT_TYPE_ARG1 $1
5020    _ACEOF
5021    
5022    
5023    cat >>confdefs.h <<_ACEOF
5024    #define SELECT_TYPE_ARG234 ($2)
5025    _ACEOF
5026    
5027    
5028    cat >>confdefs.h <<_ACEOF
5029    #define SELECT_TYPE_ARG5 ($3)
5030    _ACEOF
5031    
5032    rm -f conftest*
5033    
5034  echo "$as_me:$LINENO: checking return type of signal handlers" >&5  echo "$as_me:$LINENO: checking return type of signal handlers" >&5
5035  echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6  echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6
5036  if test "${ac_cv_type_signal+set}" = set; then  if test "${ac_cv_type_signal+set}" = set; then
# Line 5125  done Line 5484  done
5484    
5485    
5486    
5487  for ac_func in dup2 inet_ntoa memset mkdir regcomp socket strstr  
5488    for ac_func in dup2 inet_ntoa memset mkdir regcomp select socket strstr
5489  do  do
5490  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5491  echo "$as_me:$LINENO: checking for $ac_func" >&5  echo "$as_me:$LINENO: checking for $ac_func" >&5
# Line 5227  fi Line 5587  fi
5587  done  done
5588    
5589    
5590                      ac_config_files="$ac_config_files Makefile src/Makefile"                                ac_config_files="$ac_config_files Makefile src/Makefile utils/Makefile"
5591    
5592  cat >confcache <<\_ACEOF  cat >confcache <<\_ACEOF
5593  # This file is a shell script that caches the results of configure  # This file is a shell script that caches the results of configure
# Line 5806  do Line 6166  do
6166    # Handling of arguments.    # Handling of arguments.
6167    "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;    "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
6168    "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;    "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
6169      "utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES utils/Makefile" ;;
6170    "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;    "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
6171    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
6172  echo "$as_me: error: invalid argument: $ac_config_target" >&2;}  echo "$as_me: error: invalid argument: $ac_config_target" >&2;}


Legend:
Removed lines/characters  
Changed lines/characters
  Added lines/characters

webmaster@leafok.com
ViewVC Help
Powered by ViewVC 1.3.0-beta1